/*
 * Copyright (C) 2005 Cesar Kallas
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * E-mail: cesarkallas@gmx.net
 * http://cesarkallas.soulivre.org
 *
 */
 
package com.estella;
import  com.estella.util.Constantes;
import  com.estella.util.Log;
import  com.estella.Conexao;

import java.io.File;
import java.io.FileReader;
import java.io.BufferedReader;
import java.util.StringTokenizer;

/**
* Funcoes do cliente
* @author Cesar Kallas
* @since 21/11/2005
*/
public class Cliente
{
	private Constantes CON;
	private Log LOG;
  private Conexao conexao;

	public Cliente()
	{
		CON = new Constantes();
		LOG = new Log();
    conexao = new Conexao("localhost", 10000);
    conexao.iniciar();
    StringTokenizer servent = new StringTokenizer(carregaServents(CON.LISTA_SERVENTS), ":");
	}
	
	/**
	* Retorna uma lista de servents pre-definidas em um arquivo
	* @param caminho_servents String com o caminho para o arquivo com os servents. Arquivo definido no formato --  'servent:porta' --
	* @return String com todos os servents e portas encontrados no arquivo
	*/
	public String carregaServents(String caminho_servents)
	{
		BufferedReader lista_servents;
		String servent, servents;
			
		try {
			lista_servents = new BufferedReader(new FileReader(new File(caminho_servents)));
			servents = new String();
			servent = new String();

			while(servent != null) {
				servent = lista_servents.readLine();
				if(servent == null)
					break;
				servents += servent + ":";
			}

			LOG.info("Servents carregados..." + caminho_servents);
			lista_servents.close();
			return servents;
		}
		catch(Exception LerServents) {
			LOG.falha(LerServents.getMessage());
			return null;
		}
	}
}